import { ReduxActionDecoratorMetadata } from '../action/decorator/metadata';
import { ReduxReducerDecoratorMetadata } from '../reducer/decorator/metadata';
export interface ActionContextData {
    prefix: string;
}
export interface StateData {
    name: string;
}
export declare class MetadataManager {
    private static readonly ACTION_KEY;
    private static readonly ACTION_CONTEXT_KEY;
    private static readonly REDUCER_KEY;
    private static readonly STATE_KEY;
    static setActionMetadata<T>(target: T, data: ReduxActionDecoratorMetadata): void;
    static getActionMetadata<T>(target: T): ReduxActionDecoratorMetadata;
    static setActionContextMetadata<T>(target: T, data: ActionContextData): void;
    static getActionContextMetadata<T>(target: T): ActionContextData;
    static setReducerMetadata<T>(target: T, data: ReduxReducerDecoratorMetadata): void;
    static getReducerMetadata<T>(target: T): ReduxReducerDecoratorMetadata;
    static setStateMetadata<T>(target: T, data: StateData): void;
    static getStateMetadata<T>(target: T): StateData;
    private static set<D, T>(target, key, data);
    private static get<D, T>(target, key, defaultData);
}
